HERE iOS SDK Release Notes

System Requirements

  • HERE SDK supports iOS 13 or above. iOS 14 is recommended for optimal operation. Any issues found on those versions will be fixed in next HERE SDK releases.
  • HERE iOS SDK is designed and tested for use with 64-bit iOS phones and tablets. Supported devices are:
    • iPhone 5s or newer
    • iPad Air or newer including iPad (2017) and iPad Pro
    • iPad Mini 2 or newer
  • Apps should be developed using Xcode 12.0 or above running on macOS 10.15.4 or above.
  • A minimum of 120MB per application should be made available for the storage of HERE SDK libraries.
  • A minimum of 100MB should be made available for the storage of map data.
  • Data connectivity (Wi-Fi or Cellular) is required to download map data and ensure map data is updated when new versions are made available.
  • Minimum installable iOS version for this release is iOS 11.0. For iOS Simulator it is iOS 13, since Metal rendering is not supported on earlier Simulator versions.
  • HERE iOS SDK does not support (include) 32-bit architectures (i386, armv7).